Hooks:Add("LocalizationManagerPostInit", "LocVanSkinSwitcher_Post_Init", function(loc)
	loc:add_localized_strings( {
	    ["VanSkinSwitcher_Title"] = "Van Skin Switcher",
	    ["VanSkinSwitcher_Desc"] = "Change your van skin",
	    ["VanSkinSwitcher_Skin_Title"] = "Van Skin",
	    ["VanSkinSwitcher_Skin_Desc"] = "Note: The Overkill skin requires the DLC OVERKILL pack.",
	    ["VanSkinSwitcher_Skin_Default"] = "Default",
	    ["VanSkinSwitcher_Skin_Overkill"] = "Overkill",
	    ["VanSkinSwitcher_Skin_Brown"] = "Brown",
	    ["VanSkinSwitcher_Skin_Green"] = "Green",
	    ["VanSkinSwitcher_Skin_Grey"] = "Grey",
	    ["VanSkinSwitcher_Skin_Red"] = "Red",
	    ["VanSkinSwitcher_Skin_White"] = "White",
	    ["VanSkinSwitcher_Skin_Yellow"] = "Yellow",
	    ["VanSkinSwitcher_Skin_Icecream"] = "Ice Cream",
	    ["VanSkinSwitcher_Skin_Spooky"] = "Spooky (Halloween)",
	    ["VanSkinSwitcher_Skin_Random"] = "Random"
	} )
end)

VanSkinSwitcher = VanSkinSwitcher or class()
VanSkinSwitcher.save_file = SavePath .. "/VanSkinSwitcher.txt"
VanSkinSwitcher.data = {}

function VanSkinSwitcher:Load()		
	local file = io.open( self.save_file , "r")
	if file then
		for k, v in pairs(json.decode(file:read("*all")) or {}) do
			if k then
				VanSkinSwitcher.data[k] = v
			end
		end
		file:close()
	end
end

function VanSkinSwitcher:Save()
	local file = io.open( self.save_file , "w+")
	if file then
		file:write(json.encode(VanSkinSwitcher.data))
		file:close()
	end
end

MenuCallbackHandler.VanSkinSwitcher_Skin_Callback = function(self, item)
	VanSkinSwitcher.data.VanSkinSwitcher_Skin = item:value()
	VanSkinSwitcher:Save()
end



VanSkinSwitcher:Load()
MenuHelper:LoadFromJsonFile(ModPath .. "/menu.json", VanSkinSwitcher, VanSkinSwitcher.data)